Python ---------》 Python3.7配置Scrapy运行环境

版权声明:本文为博主原创文章,未经博主允许不得转载。个人网站:https://me.csdn.net/qq_41187821 https://blog.csdn.net/qq_41187821/article/details/83305968

最近学习了 Python 的第一个框架 Scrapy 。对于一个框架来说环境配置是很重要的。
所以本文特意来记录我自己在配置环境是出现的错误和解决办法。
参考至:https://blog.csdn.net/c406495762/article/details/60156205

1.直接使用指令pip3 install scrapy,发现有诸多错误。

Failed building wheel for lxml
Microsoft Visual C++ 10.0 is required
Failed building twisted
Unable to find vcvarsall.bat

总的来说 Scrapy 需要很多的模块来共同运作才能把这个框架搭建起来。
1.Lxml
2.Twisted
3.Scrapy
4.pywin32
按理来说安装好前面三个模块 Scrapy 框架就已经搭建好了,但当你写完爬虫后运行后会报一个无法找到 pywin32的错误所以 我将它也放了进去。
其中1,2,3 模块都可以在 http://www.lfd.uci.edu/~gohlke/pythonlibs/ 中下载。
Ctrl+F搜索Lxml、Twisted、Scrapy,下载对应的版本,例如:lxml-3.7.3-cp35-cp35m-win_adm64.whl,表示lxml的版本为3.7.3,对应的python版本为3.5-64bit。依次类推。
然后模块4 则需要在 https://sourceforge.net/projects/pywin32/files/pywin32/Build 220/ 下载安装即可
下载完以上模块后将它们全部放在Python 的安装目录下
注:以上就是我下的对应Python 3.7 版本的模块。
在这里插入图片描述

在该目录下输入CMD 依次执行以下命令:

1. pip3 install wheel
2.pip3 install lxml-3.7.3-cp35-cp35m-win_amd64.whl
3.pip3 install Twisted-17.1.0-cp35-cp35m-win_amd64.whl

由于我已经装好了所以就没有加效果图片了。0.0
注意:安装过程中一定要保证网络连接,不然会报一些不为人知的错误。

展开阅读全文

没有更多推荐了,返回首页